-----------------------------
-- SimpleTweaks by Agonyzt --
-----------------------------

-- Add more font sizes to chat menu
CHAT_FONT_HEIGHTS = {
	[1] = 12,
	[2] = 13,
	[3] = 14,
	[4] = 15,
	[5] = 16,
	[6] = 17,
	[7] = 18,
}

-- Add an outline to the chat font
local font, size, flags = ChatFontNormal:GetFont()
ChatFontNormal:SetFont(font, size, "OUTLINE")

-- Enable ColorNameByClass for all channels
local frame=CreateFrame("Frame");
frame:RegisterEvent("UPDATE_CHAT_COLOR_NAME_BY_CLASS");
frame:SetScript("OnEvent",function(self,event,type,set)
	if not set then SetChatColorNameByClass(type,true); end
end);

-- Enable minimap zoom mouse scrolling
Minimap:EnableMouseWheel(true)
Minimap:SetScript("OnMouseWheel", function(self, d)
	if d > 0 then
		_G.MinimapZoomIn:Click()
	elseif d < 0 then
		_G.MinimapZoomOut:Click()
	end
end)

-- Slash commands to move player/target frames and castbar relative to middle of the screen
SLASH_ST1 = '/st'
SlashCmdList["ST"] = function(msg, editbox)
	local target, x, y = msg:match("^(%S*)%s(.*)%s(.*)$");
	if target == "frames" and x ~= "" and y ~= "" then
		-- Move frames in the middle
		PlayerFrame:ClearAllPoints()
		PlayerFrame:SetPoint("TOPRIGHT", Screen, "CENTER", -x, y)
		PlayerFrame:SetUserPlaced(true)
		TargetFrame:ClearAllPoints()
		TargetFrame:SetPoint("TOPLEFT", Screen, "CENTER", x, y)
		TargetFrame:SetUserPlaced(true)
	elseif target == "castbar" and x ~= "" and y ~= "" then
		-- Move castbar in the middle
		CastingBarFrame:ClearAllPoints()
		CastingBarFrame:SetPoint("CENTER", Screen, "CENTER", x, y)
	else
		-- Print usage
		print("Syntax: /st <frames|castbar> x y");
	end
end

-- Slash command shortcut for /console reloadui
SLASH_RL1 = "/rl"
SlashCmdList["RL"] = function(msg, editBox)
    ReloadUI()
end