-------------------------------------------------------
-- Coordinates by Szandos (Stripped down by Agonyzt) --
-------------------------------------------------------

-- Variables
local Coordinates_UpdateInterval = 0.1
local timeSinceLastUpdate = 0

-- Need a frame for events
local Coordinates_eventFrame = CreateFrame("Frame")
Coordinates_eventFrame:RegisterEvent("VARIABLES_LOADED")
Coordinates_eventFrame:RegisterEvent("ZONE_CHANGED_NEW_AREA")
Coordinates_eventFrame:RegisterEvent("ZONE_CHANGED_INDOORS")
Coordinates_eventFrame:RegisterEvent("ZONE_CHANGED")
Coordinates_eventFrame:SetScript("OnEvent",function(self,event,...) self[event](self,event,...);end)

-- Event handlers
function Coordinates_eventFrame:VARIABLES_LOADED()
	Coordinates_eventFrame:SetScript("OnUpdate", function(self, elapsed) Coordinates_OnUpdate(self, elapsed) end)
end

function Coordinates_eventFrame:ZONE_CHANGED_NEW_AREA()
	Coordinates_UpdateCoordinates()
end

function Coordinates_eventFrame:ZONE_CHANGED_INDOORS()
	Coordinates_UpdateCoordinates()
end

function Coordinates_eventFrame:ZONE_CHANGED()
	Coordinates_UpdateCoordinates()
end

-- OnUpdate
function Coordinates_OnUpdate(self, elapsed)
	timeSinceLastUpdate = timeSinceLastUpdate + elapsed
	if (timeSinceLastUpdate > Coordinates_UpdateInterval) then
		-- Update the update time
		timeSinceLastUpdate = 0
		Coordinates_UpdateCoordinates()
	end
end

-- WorldMapCoordinates
function Coordinates_UpdateCoordinates()
 	if (WorldMapFrame:IsVisible()) then
 		-- Get the cursor's coordinates
 		local cursorX, cursorY = GetCursorPosition()
		
		-- Calculate cursor position
 		local scale = WorldMapDetailFrame:GetEffectiveScale()
 		cursorX = cursorX / scale
 		cursorY = cursorY / scale
 		local width = WorldMapDetailFrame:GetWidth()
 		local height = WorldMapDetailFrame:GetHeight()
		local left = WorldMapDetailFrame:GetLeft()
		local top = WorldMapDetailFrame:GetTop()
		cursorX = (cursorX - left) / width * 100
		cursorY = (top - cursorY) / height * 100
 		local worldmapCoordsText = format("X: %.1f, Y:%.1f", cursorX, cursorY)
		
		-- Add text to world map
		WorldMapFrame.BorderFrame.TitleText:SetText(MAP_AND_QUEST_LOG.." | "..worldmapCoordsText)
	end
end
